Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226064

Summary: Merge Review: libXaw
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: panemade, sandmann
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-24 06:33:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-31 19:29:46 UTC
Fedora Merge Review: libXaw

http://cvs.fedora.redhat.com/viewcvs/devel/libXaw/
Initial Owner: sandmann@redhat.com

Comment 1 Parag AN(पराग) 2009-07-24 11:23:50 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1497712
- rpmlint is NOT silent for SRPM and for RPM.
libXaw.src: W: name-repeated-in-summary libXaw
libXaw.i686: W: name-repeated-in-summary libXaw
libXaw.i686: E: invalid-ldconfig-symlink /usr/lib/libXaw7.so.7.0.0 libXaw7.so.7
libXaw.i686: E: zero-length /usr/share/doc/libXaw-1.0.6/AUTHORS

+ source files match upstream url
a9b5d14012416ffc9a792f4551c247b7f3232940  libXaw-1.0.6.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ xaw7.pc file present.
+ -devel subpackage present.
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package libXaw-1.0.6-2.fc12.i686=>
Provides: libXaw.so.7
Requires: libX11.so.6 libXaw.so.7 libXext.so.6 libXmu.so.6 libXpm.so.4 libXt.so.6 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) rtld(GNU_HASH)
+ Package libXaw-devel-1.0.6-2.fc12.i686 =>
  Provides: pkgconfig(xaw7) = 1.0.6
  Requires: /usr/bin/pkg-config libXaw.so.7 pkgconfig(x11) pkgconfig(xext) pkgconfig(xmu) pkgconfig(xpm) pkgconfig(xproto) pkgconfig(xt)

Should:
1) follow http://fedoraproject.org/wiki/PackagingGuidelines#Timestamps  
2) Fix rpmlint messages
3) -devel installs .pc so it should actually use
Requires: pkgconfig

Comment 2 Parag AN(पराग) 2009-08-24 06:33:13 UTC
Approved build libXaw-1.0.6-4.fc12